import { jsx } from "react/jsx-runtime";
import { TokenRDN as TokenRDN$1 } from "@web3icons/react";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const TokenRDN = forwardRef(
  ({ variant = "mono", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, alt: "RDN", "data-name": "TokenRDN", ...props, children: /* @__PURE__ */ jsx(TokenRDN$1, { variant }) });
  }
);
TokenRDN.displayName = "TokenRDN";
Object.assign(TokenRDN, { isGdsIcon: true });
export {
  TokenRDN
};
